Bug 225731 - Merge Review: epic
Merge Review: epic
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: epic (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Popelka
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 13:33 EST by Nobody's working on this, feel free to take it
Modified: 2016-12-20 06:56 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 06:56:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 13:33:24 EST
Fedora Merge Review: epic

http://cvs.fedora.redhat.com/viewcvs/devel/epic/
Initial Owner: pvrabec@redhat.com
Comment 1 Jiri Popelka 2009-11-26 04:05:42 EST
formal review of epic-2.10-6.fc12 is here, see the notes below:

YES source files match upstream:
  865424a56eaaf674847d0e48bcdbc2c5  sf-1.35.irc.gz
  8ed73a76ac758f581d764dc60b708e86  sf-bitchx-scheme.irc.gz
  dd75ad70b46b331b008d976880899233  sf-eggsandham-scheme.irc.gz
  3a7151f0b2913964eb5e38b6c1a2697d  sf-light-scheme.irc.gz
  90c9dc5fc9f372843f8a0732fba61eb1  sf-perry-scheme.irc.gz
  92789d75f12882696817865ea072e44a  epic4-2.10.tar.bz2
  b28872ca9234650eda6842ffc3425849  epic4-help-current.tar.bz2
YES package meets naming and versioning guidelines.
YES specfile is properly named, is cleanly written and uses macros consistently.
YES dist tag is present.
YES build root is correct.
YES license field matches the actual license.
YES license is open source-compatible.
YES License text included in package.

NO latest version is being packaged.
  epic4-2.10.1.tar.bz2 was released 09/05/2009

YES BuildRequires are proper.
YES compiler flags are appropriate.
YES %clean is present.
YES package builds in mock (Rawhide/x86_64).
YES debuginfo package looks complete.

NO rpmlint is silent.
  >rpmlint epic-2.10-6.fc12.src.rpm epic-2.10-6.fc12.x86_64.rpm
  epic.x86_64: E: file-in-usr-marked-as-conffile /usr/share/epic/ircII.servers
  epic.x86_64: E: zero-length /usr/share/epic/help/8_Scripts/nopaste
  ...
  epic.x86_64: E: zero-length /usr/share/epic/help/8_Scripts/mkpdir
  epic.x86_64: E: non-executable-script /usr/share/epic/script/epic-crypt-gpg-aa 0644 /bin/bash
  epic.x86_64: E: non-executable-script /usr/share/epic/script/epic-crypt-gpg 0644 /bin/bash
  epic.x86_64: W: file-not-utf8 /usr/share/doc/epic-2.10/COPYRIGHT
  epic.x86_64: E: script-without-shebang /usr/share/epic/help/5_Programming/fec
  epic.x86_64: E: executable-marked-as-config-file /usr/share/epic/ircII.servers
  epic.x86_64: E: script-without-shebang /usr/share/epic/ircII.servers
  2 packages and 0 specfiles checked; 87 errors, 1 warnings.

YES final provides and requires look sane.
N/A %check is present and all tests pass.
YES no shared libraries are added to the regular linker search paths.
YES owns the directories it creates.
YES doesn't own any directories it shouldn't.
YES no duplicates in %files.

?? file permissions are appropriate.
  See some rpmlint errors. 

YES scriptlets are sane.
YES code, not content.
YES documentation is small, so no -docs subpackage is necessary.
YES %docs are not necessary for the proper functioning of the package.
YES no headers.
YES no pkgconfig files.
YES no libtool .la droppings.
YES not a GUI app.

Please look at the rpmlint errors and either fix them or confirm they are false positives.
Comment 2 Cole Robinson 2015-02-11 15:36:13 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.
Comment 3 Jan Kurik 2015-07-15 11:26:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 4 Fedora End Of Life 2016-11-24 05:18:22 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 06:56:12 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.